## libcdio 2.0.0

=== lib/driver/image/Makefile ===
#  $Id: Makefile,v 1.2 2008/04/21 18:30:22 karl Exp $
#
#  Copyright (C) 2004, 2008 Rocky Bernstein
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#  
# The make is done above. This boilerplate Makefile just transfers the call


all install check clean: 
	cd .. && $(MAKE) $@

## libcdio 0.81

=== debian/changelog ===
libcdio (0.81-5) unstable; urgency=low

  * The "Thank you Regis for your work" release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Split the big monolithic patch into several patches managed with
    quilt.
  * debian/rules: Add targets build-arch and build-indep, as suggested by
    lintian.
  * debian/compat: Switch to debhelper compatibility version 8.
    - debian/control: Update the Build-Depends accordingly.
    - debian/rules: No need to manually remove build-stamp any more in the
      clean target.
    - debian/rules: Replace the call to "dh_clean -k" (deprecated) with a
      call to dh_prep.
  * debian/control: Add ${misc:Depends} to the Depends field of all binary
    packages that lacked it, as suggested by lintian.
  * debian/control: Add "dpkg (>= 1.15.4) | install-info" to the
    dependencies of libcdio-dev, as suggested by lintian an policy 12.2.
  * debian/watch: Clean up, as suggested by lintian.
  * debian/control: Bump Standards-Version: to 3.9.2.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 29 Dec 2011 00:50:02 +0100

libcdio (0.81-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la files. Closes: #633327.
  * Use kfreebsd-any instead of a hardcoded list of kfreebsd-* architectures.
    Closes: #634360.

 -- Regis Boudin <regis@debian.org>  Sat, 08 Oct 2011 20:32:14 +0100

libcdio (0.81-4) unstable; urgency=low

  * Rebuild for unstable.
  * Fix the call to dh_shlibdeps.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 05 Jul 2009 19:54:09 +0200

libcdio (0.81-3) experimental; urgency=low

  * Avoid unaligned reads that cause bus errors on sparc.
  * Replace dpkg-awk with grep-dctrl.
  * Bump Standards-Version to 3.8.2:
    - Support the nocheck build option.

 -- Nicolas Boullis <nboullis@debian.org>  Sat, 20 Jun 2009 00:22:51 +0200

libcdio (0.81-2) experimental; urgency=low

  * Make sure that the check_paranoia.sh won't fail because stderr is not
    a tty.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 18 Jun 2009 21:52:30 +0200

libcdio (0.81-1) experimental; urgency=low

  * New upstream release. (Closes: #489245, #520614)
    - Includes updated config.{guess,sub} that know about avr32.
      (Closes: #528645)
  * Update the package names to track the sonames.
  * Re-add the info documentation since it now is under the GFDL v1.2 with
    no invariant section, no front-cover text and no back-cover text,
    which is thought to be DFSG-compliant.
  * Update the debian/copyright file to reflect the the change of licence
    of the program (GPL v2 or above to GPL v3 or above) and info
    documentation, and to improve it (many copyright owners were missing).
  * Added 'posixness_fix' patch to correct POSIX incompatibilities, thanks
    to Marc Dequènes (Duck). (Closes: #530516)

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 12 Jun 2009 00:05:44 +0200

libcdio (0.78.2+dfsg1-3) unstable; urgency=low

  * Fix the time-conversion functions of libiso9660, taking the changes
    from CVS. This caused the build to fail when running the regression
    tests if the build was run at the wrong time. Thanks to Lucas Nussbaum
    for reporting the problem. (Closes: #482511)
  * Add libcam-dev to libcdio-dev's dependencies for kfreebsd
    architectures, as suggested by Petr Salinger. (Closes: 468154)
  * Bump Standards-Version to 3.8.0:
    - Add a Homepage field in debian/control.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 08 Jun 2008 23:39:24 +0200

libcdio (0.78.2+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Daniel Schepler
    (Closes: #461683, #461688)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 23:39:49 +0100

libcdio (0.78.2+dfsg1-2) unstable; urgency=high

  * This update addresses the following security issue, thanks to Nico
    Golde:
    - CVE-2007-6613: a stack-based buffer overflow in the
      print_iso9660_recurse function could lead to cause a denial of
      service or arbitrary code execution if the iso-info or cd-info tool
      is used with a crafted iso image. (Closes: #459129)
  * Support GNU/kFreeBSD systems, thanks to Petr Salinger for his
    patch. (Closes: #449457)
  * Bump Standards-Version to 3.7.3 (no change needed).

 -- Nicolas Boullis <nboullis@debian.org>  Mon,  7 Jan 2008 00:34:44 +0100

libcdio (0.78.2+dfsg1-1) unstable; urgency=low

  * Repack the source tarball to remove non-DFSG-free
    documentation. Thanks to Joerg Jaspert for pointing this.
  * Also update debian/copyright to reflect the status of the removed
    documentation.
  * Add libncurses5-dev | libncurses-dev to the build-dependencies, for
    cdda-player.

 -- Nicolas Boullis <nboullis@debian.org>  Thu,  4 Oct 2007 00:52:35 +0200

libcdio (0.78.2-1) unstable; urgency=low

  * New upstream release. (Closes: #418604)
    - Handle ISO 9660 images larger that 2GB. (Closes: #432939)
    - No more iso9660_find_ifs_lsn function declared in iso9660.h but a
      iso9660_ifs_find_lsn that really is in libiso9660. (Closes: #395590)
  * Fix the handling of errors with strtol (taken from CVS).
  * Fix an off-by-one bug in the set_ltime_field macro, that lead to a
    random failure of the regression test.
  * Install all pkgconfig files.
  * Include manpages generated with help2man and slightly updated; install
    them.
  * Update the package names to track the sonames.
  * Add libcdio-utils, libudf0, libudf-dev packages.
  * Bump Standards-Version to 3.7.2 (no change needed).
  * Add a section to the source package, as suggested by lintian.
  * Use ${binary:Version} instead of the deprecated ${Source-Version},
    as suggested by lintian.
  * Don't ignore failures of "make distclean", as suggested by lintian.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 10 Sep 2007 00:42:47 +0200

libcdio (0.76-1) unstable; urgency=low

  * New upstream release. (Closes: #300903)
    - "new" isn't used anymore as an identifier in the header
       files. (Closes: #329082)


=== debian/control ===
Source: libcdio
Priority: optional
Section: libs
Maintainer: Nicolas Boullis <nboullis@debian.org>
Build-Depends: debhelper (>= 8.0.0), dctrl-tools | grep-dctrl, libpopt-dev, libncurses5-dev | libncurses-dev, libcam-dev [kfreebsd-any]
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/libcdio/

Package: libcdio-dev
Section: libdevel
Architecture: any
Depends: libcdio10 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: library to read and control CD-ROM (development files)
 This package contains development files (headers and static library)
 for the libcdio library.
 .
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libcdio10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and control CD-ROM
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libiso9660-dev
Section: libdevel
Architecture: any
Depends: libiso9660-7 (= ${binary:Version}), libcdio-dev (>= 0.78.2-1), ${libcdev}, ${misc:Depends}
Description: library to work with ISO9660 filesystems (development files)
 This package contains development files (headers and static library)
 for the libiso9660 library.
 .
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libiso9660-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with ISO9660 filesystems
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libcdio-cdda-dev
Section: libdevel
Architecture: any
Depends: libcdio-cdda0 (= ${binary:Version}), libcdio-dev, ${libcdev}, ${misc:Depends}
Description: library to read and control digital audio CDs (development files)
 This package contains development files (headers and static library)
 for the libcdio-cdda library.
 .
 This library is made to read and control digital audio CDs. It does
 not play such CDs, it only reads them digitally. As it uses libcdio as
 a backend, it supports the same kind of CDROM drives (and images) as
 libcdio.

Package: libcdio-cdda0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and control digital audio CDs
 This library is made to read and control digital audio CDs. It does
 not play such CDs, it only reads them digitally. As it uses libcdio as
 a backend, it supports the same kind of CDROM drives (and images) as
 libcdio.

Package: libcdio-paranoia-dev
Section: libdevel
Architecture: any
Depends: libcdio-paranoia0 (= ${binary:Version}), libcdio-cdda-dev, libcdio-dev, ${libcdev}, ${misc:Depends}
Description: library to read digital audio CDs with error correction (development files)
 This package contains development files (headers and static library)
 for the libcdio-paranoia library.
 .
 This library is made to read digital audio CDs, with error
 correction. It does its best to correct errors and jitter that happen
 when reading such discs. As it uses libcdio as a backend, it supports
 the same kind of CDROM drives (and images) as libcdio.

Package: libcdio-paranoia0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read digital audio CDs with error correction
 This library is made to read digital audio CDs, with error
 correction. It does its best to correct errors and jitter that happen
 when reading such discs. As it uses libcdio as a backend, it supports
 the same kind of CDROM drives (and images) as libcdio.

Package: libudf-dev
Section: libdevel
Architecture: any
Depends: libudf0 (= ${binary:Version}), libcdio-dev (>= 0.78.2-1), ${libcdev}, ${misc:Depends}
Description: library to work with UDF filesystems (development files)
 This package contains development files (headers and static library)
 for the libudf library.
 .
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libudf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with UDF filesystems
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libcdio-utils
Section: otherosfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample applications based on the CDIO libraries
 This package contains a collection of small libcdio-based tools:
  * cd-drive      show CD-ROM drive characteristics
  * cd-info       show information about a CD or CD-image
  * cd-paranoia   an audio CD ripper
  * cd-read       read information from a CD or CD-image
  * cdda-player   a simple curses-based audio CD player
  * iso-info      show information about an ISO 9660 image
  * iso-read      read portions of an ISO 9660 image
  * mmc-tool      issue low-level commands to a CD drive

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

LIBCDEV=$(shell grep-status -F Status install -a -F Provides libc-dev -s Package | sed -ne 's/^Package:[[:space:]]*//p' | head -1) | libc-dev

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --disable-cddb --disable-vcd-info --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# Check if everything is good...
	$(MAKE) check
endif
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp --list-missing
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libcdio10 -L libcdio_cdda0 -L libcdio_paranoia0 -L libiso9660-7 -L libudf0 -l debian/tmp/usr/lib
	dh_gencontrol -- -Vlibcdev="$(LIBCDEV)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libcdio 0.83

=== debian/changelog ===
libcdio (0.83-4.1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Dec 2013 11:34:33 +0000

libcdio (0.83-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725929)

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:19:40 +0000

libcdio (0.83-4) unstable; urgency=low

  * Rebuild for unstable.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 14 Jun 2012 09:59:38 +0200

libcdio (0.83-3) experimental; urgency=low

  * debian/patches/05_revert_iso9660_set_pvd: New patch to prevent a FTBFS
      in vcdimager.

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 13 Mar 2012 00:01:55 +0100

libcdio (0.83-2) experimental; urgency=low

  * libcdio-cdda1.symbols, libcdio-paranoia1.symbols, libcdio13.symbols,
    libiso9660-8.symbols, libudf0.symbols: Add symbols files for the
    libraries.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 19 Feb 2012 15:59:24 +0100

libcdio (0.83-1) experimental; urgency=low

  * New upstream release. (Closes: #647310)
  * debian/control, debian/*.install: Update the package names to track
      the sonames.
  * debian/libcdio-dev.install: Include the new header files.
  * debian/patches/00_manpage_fix_progname,
    debian/patches/02_fix_posixness,
    debian/patches/04_avoid_make_check_failure_when_stderr_is_not_a_tty:
      Refresh.
  * debian/patches/01_do_not_rebuild_manpages,
    debian/patches/03_avoid_make_check_failure_with_no_disc_drive,
    debian/patches/05_avoid_unaligned_reads: Remove.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 30 Dec 2011 00:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libcdio
 Priority: optional
 Section: libs
-Maintainer: Nicolas Boullis <nboullis@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dctrl-tools | grep-dctrl, libpopt-dev, libncurses5-dev | libncurses-dev, libcam-dev [kfreebsd-any]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Boullis <nboullis@debian.org>
+Build-Depends: debhelper (>= 8.0.0), dctrl-tools | grep-dctrl, libpopt-dev, libncurses5-dev | libncurses-dev, libcam-dev [kfreebsd-any], dh-autoreconf
 Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/libcdio/
 
 Package: libcdio-dev
 Section: libdevel
 Architecture: any
-Depends: libcdio10 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: libcdio13 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: library to read and control CD-ROM (development files)
  This package contains development files (headers and static library)
  for the libcdio library.
@@ -22,7 +23,7 @@
  so applications that use this library also have the ability to read
  disc images as though they were CD's.
 
-Package: libcdio10
+Package: libcdio13
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -38,7 +39,7 @@
 Package: libiso9660-dev
 Section: libdevel
 Architecture: any
-Depends: libiso9660-7 (= ${binary:Version}), libcdio-dev (>= 0.78.2-1), ${libcdev}, ${misc:Depends}
+Depends: libiso9660-8 (= ${binary:Version}), libcdio-dev (>= 0.78.2-1), ${libcdev}, ${misc:Depends}
 Description: library to work with ISO9660 filesystems (development files)
  This package contains development files (headers and static library)
  for the libiso9660 library.
@@ -46,7 +47,7 @@
  This library is made to read and write ISO9660 filesystems; those
  filesystems are mainly used on CDROMs.
 
-Package: libiso9660-7
+Package: libiso9660-8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -57,7 +58,7 @@
 Package: libcdio-cdda-dev
 Section: libdevel
 Architecture: any
-Depends: libcdio-cdda0 (= ${binary:Version}), libcdio-dev, ${libcdev}, ${misc:Depends}
+Depends: libcdio-cdda1 (= ${binary:Version}), libcdio-dev, ${libcdev}, ${misc:Depends}
 Description: library to read and control digital audio CDs (development files)
  This package contains development files (headers and static library)
  for the libcdio-cdda library.
@@ -67,7 +68,7 @@
  a backend, it supports the same kind of CDROM drives (and images) as
  libcdio.
 
-Package: libcdio-cdda0
+Package: libcdio-cdda1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -80,7 +81,7 @@
 Package: libcdio-paranoia-dev
 Section: libdevel
 Architecture: any
-Depends: libcdio-paranoia0 (= ${binary:Version}), libcdio-cdda-dev, libcdio-dev, ${libcdev}, ${misc:Depends}
+Depends: libcdio-paranoia1 (= ${binary:Version}), libcdio-cdda-dev, libcdio-dev, ${libcdev}, ${misc:Depends}
 Description: library to read digital audio CDs with error correction (development files)
  This package contains development files (headers and static library)
  for the libcdio-paranoia library.
@@ -90,7 +91,7 @@
  when reading such discs. As it uses libcdio as a backend, it supports
  the same kind of CDROM drives (and images) as libcdio.
 
-Package: libcdio-paranoia0
+Package: libcdio-paranoia1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autoreconf
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure --disable-cddb --disable-vcd-info --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
@@ -54,6 +55,7 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autoreconf_clean
 	dh_clean 
 
 install: build
@@ -84,7 +86,7 @@
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -L libcdio10 -L libcdio_cdda0 -L libcdio_paranoia0 -L libiso9660-7 -L libudf0 -l debian/tmp/usr/lib
+	dh_shlibdeps -L libcdio13 -L libcdio_cdda1 -L libcdio_paranoia1 -L libiso9660-8 -L libudf0 -l debian/tmp/usr/lib
 	dh_gencontrol -- -Vlibcdev="$(LIBCDEV)"
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=2
http://ftp.gnu.org/gnu/libcdio/		libcdio-(.*)\.tar\.gz	debian	uupdate

## libcdio 1.0.0

=== debian/changelog ===
libcdio (1.0.0-2ubuntu2) bionic; urgency=medium

  * debian/patches/fix-more-double-free.patch: fix another double-free
    in lib/driver/_cdio_generic.c.  Closes LP: #1747112.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Apr 2018 18:36:55 -0700

libcdio (1.0.0-2ubuntu1) bionic; urgency=medium

  * SECURITY UPDATE: Double free issue
    - debian/patches/CVE-2017-18201.patch: removes the
      double free code in lib/drivers/_cdio_generic.c.
    - CVE-2017-18201

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 07 Mar 2018 04:57:16 -0300

libcdio (1.0.0-2) unstable; urgency=medium

  * Fix setting LIBCDIO_VERSION, taken from upstream.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 09:05:47 +0100

libcdio (1.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * Build using libncursesw5-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 20:51:22 +0100

libcdio (0.94-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #881719.
  * Upload to unstable.
  * Mark development packages as M-A: same.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 00:00:11 +0100

libcdio (0.94-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * libcdio-dev: Install missing cdio/memory.h header.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 14:19:26 +0200

libcdio (0.94-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Fixes build failure with GCC 7. Closes: #841556.
  * Bump standards and debhelper versions.
  * Configure with --disable-silent-rules.
  * Make the build reproducible (Chris Lamb). Closes: #869516.
  * Bump sonames, update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 12:55:26 +0200

libcdio (0.92-2) experimental; urgency=low

  * debian/control:
      Remove the "Multi-Arch: no" field from the -dev packages: although
      this value is supposed to be correct according to deb_control(5),
      apt complains about it. As this value matches the default behaviour
      without a Muti-Arch: field, it can safely be removed.
      Thanks to Axel Beckert, Andreas Metzler and Dan Jacobson for
      pointing this. (Closes: #759109)

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 24 Aug 2014 15:58:03 +0200

libcdio (0.92-1) experimental; urgency=low

  * The "Thanks Colin" release.
  * New upstream release. (Closes: #710064)
  * debian/control, debian/libcdio-cdda*, debian/libcdio-paranoia*:
      Remove the libcdio-cdda and libcdio-paranoia libraries, as they are
      now provided in a separate source tarball.
  * debian/control, debian/*.install:
      Update the package names to track the sonames.
  * debian/patches/00_manpage_fix_progname,
    debian/patches/02_fix_posixness,
    debian/patches/04_avoid_make_check_failure_when_stderr_is_not_a_tty,
    debian/patches/05_revert_iso9660_set_pvd:
      Remove obsolete patches.
  * debian/control, debian/rules:
      Use dh-autoreconf instead of autotools-dev, as suggested by Colin
      Watson. (Closes: #732286)
  * debian/control, debian/rules, debian/*.install:
      Enable multi-arch for the shared library packages.
  * debian/*.symbols, debian/rules:
      Update shared libraries symbols and shlibs.
  * debian/copyright:
      Update.
  * debian/control:
      Bump Standards-Version: to 3.9.5.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 24 Aug 2014 02:10:40 +0200

=== debian/control ===
Source: libcdio
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
  dctrl-tools | grep-dctrl,
  libpopt-dev,
  libncursesw5-dev,
  libcam-dev [kfreebsd-any],
  dh-autoreconf
Standards-Version: 4.1.1
Homepage: http://www.gnu.org/software/libcdio/

Package: libcdio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcdio17 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: library to read and control CD-ROM (development files)
 This package contains development files (headers and static library)
 for the libcdio library.
 .
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libcdio17
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and control CD-ROM
 This library is to encapsulate CD-ROM reading and
 control. Applications wishing to be oblivious of the OS- and
 device-dependant properties of a CD-ROM can use this library.
 .
 Some support for disk image types like BIN/CUE and NRG is available,
 so applications that use this library also have the ability to read
 disc images as though they were CD's.

Package: libiso9660-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libiso9660-10 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
Description: library to work with ISO9660 filesystems (development files)
 This package contains development files (headers and static library)
 for the libiso9660 library.
 .
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libiso9660-10
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with ISO9660 filesystems
 This library is made to read and write ISO9660 filesystems; those
 filesystems are mainly used on CDROMs.

Package: libudf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libudf0 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
Description: library to work with UDF filesystems (development files)
 This package contains development files (headers and static library)
 for the libudf library.
 .
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libudf0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to work with UDF filesystems
 This library is made to read and write UDF filesystems; those
 filesystems are mainly used on DVDs.

Package: libcdio-utils
Section: otherosfs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample applications based on the CDIO libraries
 This package contains a collection of small libcdio-based tools:
  * cd-drive      show CD-ROM drive characteristics
  * cd-info       show information about a CD or CD-image
  * cd-paranoia   an audio CD ripper
  * cd-read       read information from a CD or CD-image
  * cdda-player   a simple curses-based audio CD player
  * iso-info      show information about an ISO 9660 image
  * iso-read      read portions of an ISO 9660 image
  * mmc-tool      issue low-level commands to a CD drive

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

dpkg_buildflags := dpkg-buildflags
dpkg_buildflags := DEB_CFLAGS_MAINT_PREPEND='-Wall' DEB_CPPFLAGS_MAINT_APPEND='-I/usr/include/ncursesw' $(dpkg_buildflags)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

LIBCDEV=$(shell grep-status -F Status install -a -F Provides libc-dev -s Package | sed -ne 's/^Package:[[:space:]]*//p' | head -1) | libc-dev

configure-stamp:
	dh_testdir
	dh_autoreconf
	./configure $(shell $(dpkg_buildflags) --export=configure) \
		--disable-silent-rules \
		--disable-cddb \
		--disable-vcd-info \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# Check if everything is good...
	$(MAKE) check
endif
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	if which help2man >/dev/null 2>&1; then \
	  help2man --help-option=-h --no-discard-stderr -n 'simple curses CD player' --no-info src/cdda-player > debian/cdda-player.1; \
	  help2man --no-discard-stderr -n 'libcdio Multimedia commands' --no-info src/mmc-tool > debian/mmc-tool.1; \
	fi
	cp debian/*.1 debian/tmp/usr/share/man/man1/.


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_missing --list-missing
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -p libudf0 -V "libudf0 (>= 0.94)"
	dh_makeshlibs -N libudf0
	dh_installdeb
	dh_shlibdeps -L libcdio16 -L libiso9660-10 -L libudf0 -l debian/tmp/usr/lib
	dh_gencontrol -- -Vlibcdev="$(LIBCDEV)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libcdio 2.0.0

=== debian/changelog ===
libcdio (2.0.0-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2024-36600-1.patch: Allocates space for
      growth and additional buffer in lib/iso9660/rock.c
    - debian/patches/CVE-2024-36600-2.patch: Limits the maximum read
      count to prevent an overflow in lib/driver/_cdio_stdio.c
    - debian/patches/CVE-2024-36600-3.patch: Adds input validation to
      unicode16_decode function in lib/udf/udf_fs.c
    - debian/patches/CVE-2024-36600-4.patch: Adds bounds checking for
      directory buffer size and total size calculation in
      lib/iso9660/iso9660_fs.c
    - debian/patches/CVE-2024-36600-5.patch: Fixes overflow in iso9660
      dir read (32-bit) in lib/iso9660/iso9660_fs.c
    - debian/patches/CVE-2024-36600-6.patch: Checks the validity of
      i_extended_attr member in udf_get_lba() in lib/udf/udf_fs.c
    - debian/patches/CVE-2024-36600-7.patch: Adds 32-bit size test 
      only when needed in lib/iso9660/iso9660_fs.c
    - CVE-2024-36600

 -- Bruce Cable <bruce.cable@canonical.com>  Mon, 24 Jun 2024 16:01:37 +1000

libcdio (2.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Jun 2018 19:32:26 +0200

libcdio (2.0.0-1) experimental; urgency=medium

  * QA upload.
  * New upstream version.
  * Library soname bumps and symbol files updates.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 17:04:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
   libncursesw5-dev,
   libcam-dev [kfreebsd-any],
   dh-autoreconf
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.gnu.org/software/libcdio/
 
 Package: libcdio-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcdio17 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: libcdio18 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: library to read and control CD-ROM (development files)
  This package contains development files (headers and static library)
  for the libcdio library.
@@ -29,7 +29,7 @@
  so applications that use this library also have the ability to read
  disc images as though they were CD's.
 
-Package: libcdio17
+Package: libcdio18
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libiso9660-10 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
+Depends: libiso9660-11 (= ${binary:Version}), libcdio-dev (= ${binary:Version}), ${libcdev}, ${misc:Depends}
 Description: library to work with ISO9660 filesystems (development files)
  This package contains development files (headers and static library)
  for the libiso9660 library.
@@ -56,7 +56,7 @@
  This library is made to read and write ISO9660 filesystems; those
  filesystems are mainly used on CDROMs.
 
-Package: libiso9660-10
+Package: libiso9660-11
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,8 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	dh_missing --list-missing
 	dh_install --sourcedir=$(CURDIR)/debian/tmp
+	dh_missing --list-missing --sourcedir=$(CURDIR)/debian/tmp
 	dh_link
 	dh_strip
 	dh_compress
@@ -92,7 +92,7 @@
 	dh_makeshlibs -p libudf0 -V "libudf0 (>= 0.94)"
 	dh_makeshlibs -N libudf0
 	dh_installdeb
-	dh_shlibdeps -L libcdio16 -L libiso9660-10 -L libudf0 -l debian/tmp/usr/lib
+	dh_shlibdeps -L libcdio18 -L libiso9660-11 -L libudf0 -l debian/tmp/usr/lib
 	dh_gencontrol -- -Vlibcdev="$(LIBCDEV)"
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=2
http://ftp.gnu.org/gnu/libcdio/		libcdio-([0-9.]*)\.tar\.gz	debian	uupdate

## libcdio 2.1.0

=== debian/changelog ===
libcdio (2.1.0-4) unstable; urgency=medium

  * Cherry-pick patches from upstream (Closes: #1020431).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Tue, 27 Sep 2022 06:39:42 -0300

libcdio (2.1.0-3) unstable; urgency=medium

  * Fix FTBFS with upstream patch (Closes: #997166).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Tue, 02 Nov 2021 13:37:42 -0300

libcdio (2.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 25 Jul 2020 20:14:10 -0300

libcdio (2.1.0-1) experimental; urgency=medium

  [Gabriel F. T. Gomes]
  * Update upstream version.
  * Library SONAME bump.
  * Adopt package (Closes: #881719).

  [Vasyl Gello]
  * Add C++ libraries (Closes: #703292).

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 09 Jul 2020 22:12:57 -0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: libcdio
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Gabriel F. T. Gomes <gabriel@debian.org>
+Build-Depends: debhelper-compat (= 13),
   dctrl-tools | grep-dctrl,
   libpopt-dev,
   libncursesw5-dev,
-  libcam-dev [kfreebsd-any],
-  dh-autoreconf
-Standards-Version: 4.1.4
-Homepage: http://www.gnu.org/software/libcdio/
+  libcam-dev [kfreebsd-any]
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/libcdio.git
+Vcs-Browser: https://salsa.debian.org/debian/libcdio
+Homepage: https://www.gnu.org/software/libcdio/
 
 Package: libcdio-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Depends: libcdio18 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: libcdio19 (= ${binary:Version}), ${libcdev}, libcam-dev [kfreebsd-any], ${misc:Depends}
 Description: library to read and control CD-ROM (development files)
  This package contains development files (headers and static library)
  for the libcdio library.
@@ -29,14 +29,44 @@
  so applications that use this library also have the ability to read
  disc images as though they were CD's.
 
-Package: libcdio18
-Section: libs
+Package: libcdio++-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libcdio++1 (= ${binary:Version}), ${libcxxdev}, libcdio-dev (= ${binary:Version}), ${misc:Depends}
+Description: C++ library to read and control CD-ROM (development files)
+ This package contains development files (headers and static library)
+ for the libcdio++ library.
+ .
+ This library is to encapsulate CD-ROM reading and
+ control. Applications wishing to be oblivious of the OS- and
+ device-dependant properties of a CD-ROM can use this library.
+ .
+ Some support for disk image types like BIN/CUE and NRG is available,
+ so applications that use this library also have the ability to read
+ disc images as though they were CD's.
+
+Package: libcdio19
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library to read and control CD-ROM
  This library is to encapsulate CD-ROM reading and
+ control. Applications wishing to be oblivious of the OS- and
+ device-dependant properties of a CD-ROM can use this library.
+ .
+ Some support for disk image types like BIN/CUE and NRG is available,
+ so applications that use this library also have the ability to read
+ disc images as though they were CD's.
+
+Package: libcdio++1
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: C++ library to read and control CD-ROM
+ This C++ library is to encapsulate CD-ROM reading and
  control. Applications wishing to be oblivious of the OS- and
  device-dependant properties of a CD-ROM can use this library.
  .
@@ -56,14 +86,34 @@
  This library is made to read and write ISO9660 filesystems; those
  filesystems are mainly used on CDROMs.
 
+Package: libiso9660++-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libiso9660++0 (= ${binary:Version}), libcdio++-dev (= ${binary:Version}), ${misc:Depends}
+Description: C++ library to work with ISO9660 filesystems (development files)
+ This package contains C++ development files (headers and static library)
+ for the libiso9660 library.
+ .
+ This library is made to read and write ISO9660 filesystems; those
+ filesystems are mainly used on CDROMs.
+
 Package: libiso9660-11
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library to work with ISO9660 filesystems
  This library is made to read and write ISO9660 filesystems; those
+ filesystems are mainly used on CDROMs.
+
+Package: libiso9660++0
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: C++ library to work with ISO9660 filesystems
+ This C++ library is made to read and write ISO9660 filesystems; those
  filesystems are mainly used on CDROMs.
 
 Package: libudf-dev
@@ -79,7 +129,6 @@
  filesystems are mainly used on DVDs.
 
 Package: libudf0
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=3
https://ftp.gnu.org/gnu/libcdio/ libcdio-([0-9.]*)\.tar\..* \
  debian uupdate
